Updates for opsi 4.1 stable und testing

Benutzeravatar
fkalweit
uib-Team
Beiträge: 2
Registriert: 23 Okt 2020, 16:14

Updates for opsi 4.1 stable und testing

Beitragvon fkalweit » 23 Okt 2020, 16:48

Dear opsi-users,

We released opsi 4.1 updates in stable and testing.

Important:

- windows10-upgrade now requires opsi-client-agent 4.1.0.0-47 or higher.
- For updates from win7 to win10 the opsi-client-agent directory is now a symlink. For WAN/VPN mode it is neccessary to call

Code: Alles auswählen

opsi-package-manager -i windows10-upgrade_20.04-2.opsi --suppress-pcf-generation
after the installation.


=====================================
New Packages in Testing:
=====================================

Windows Localboot Packages
- windows10-upgrade (20.09-1)
- opsi-winst (4.12.4.3-1)

Windows Netboot Packages
- windows NT6 (4.1.0.2-4)
- wipedisk (1.3-1)

opsi-local-image Netboot Packages
- opsi-local-image-backup (4.1.0.1-2)
- opsi-local-image-delimage(4.1.0.1-3)
- opsi-local-image-prepare (4.1.0.1-2)
- opsi-local-image-restore (4.1.0.1-2)
- opsi-local-image-win NT6 (4.1.0.2-4)

Linux Netboot Packages
- centos8 (4.1.0.1-3)
- ubuntu (4.1.0.4-2)
- ubuntu16-04 (4.1.0.2-2)
- wipedisk (1.3-1)

=====================================
New Packages in Stable:
=====================================

Windows Localboot Packages
- windows10-upgrade (20.04-2)

Windows Netboot Packages
- windows NT6 (4.1.0.2-2)

opsi-local-image Netboot Packages
- opsi-local-image-win NT6 (4.1.0.2-2)

Linux Netboot Packages
- ubuntu18-04 (4.1.0.4-2)
- ubuntu20-04 (4.1.0.4-2)

Server-Packete
- opsi-linux-bootimage (20200910-1)

best regards,
Fabian Kalweit

Changelogs:

Code: Alles auswählen

windows10-upgrade (20.04-2) experimental; urgency=low

  * IMPORTANT: requires opsi-client-agent 4.1.0.0-47 or higher
  * IMPORTANT: changes to the handling of Win7 -> Win10 Upgrades:
  * the opsi-client-agent folder is now a symlink to the servers opsi-client-agent folder
  * for WAN/VPN mode to work correctly the following command needs to be run manually after the package installation:
  * opsi-package-manager -i windows10-upgrade_20.04-2.opsi --suppress-pcf-generation
  * detects and fixes missing opsi-client-agent on_shutdown installation group policy after upgrade

-- Matthias Knauer <m.knauer@uib.de> Thu 27 Aug 2020 11:11:11 +0200

------------------------------------------------

centos8 (4.1.0.1-3) stable; urgency=low

  * added 'partition_disk' property
  * kickstart: removed multilib file

 -- Mathias Radtke <m.radtke@uib.de> Tue Oct 20 10:00:00 2020 +0200

centos8 (4.1.0.1-2) stable; urgency=low

  * fixed bug with custom kickstart profile

 -- Mathias Radtke <m.radtke@uib.de> Tue Oct 06 10:36:00 2020 +0200

------------------------------------------------

debian10 (4.1.0.5-2) stable; urgency=low

  * corrected root password encoding

 -- Jan Schneider <j.schneider@uib.de> Tue Sep 1 11:30:00 2020 +0200

------------------------------------------------

opsi-local-image (4.1.0.2-4) testing; urgency=low

  * fixed behaviour of show_drivers script
  * changed wording of byAudit
  * updated pci.ids and usb.ids

 -- Mathias Radtke <m.radtke@uib.de> Mon Oct 19 12:09:51 2020 +0200

opsi-local-image (4.1.0.2-3) testing; urgency=low

  * removing empty entries in windows version detection

 -- Mathias Radtke <m.radtke@uib.de> Fri Oct  2 12:12:20 2020 +0200


opsi-local-image (4.1.0.2-2) testing; urgency=low

  * using opsi-python as interpreter in show_drivers.py and create_driver_links.py when running on opsi 4.2

 -- Mathias Radtke <m.radtke@uib.de> Fri Sep 18 10:07:43 2020 +0200

opsi-local-image (4.1.0.2-1) stable; urgency=low

  * python3 compatible code base

 -- Mathias Radtke <m.radtke@uib.de> Mon Jul 20 18:32:16 2020 +0200

------------------------------------------------

opsi-local-image-backup (4.1.0.1-2) stable; urgency=low

  * opsisetuplib.py: function checkModules now works properly with python3 based bootimage

 -- Mathias Radtke <m.radtke@uib.de> Mon 06 Oct 2020 12:00:00 +0200

opsi-local-image-backup (4.1.0.1-1) stable; urgency=low

  * python3 compatible code base

 -- Mathias Radtke <m.radtke@uib.de> Mon 20 Jul 2020 18:35:00 +0200

------------------------------------------------

opsi-local-image-delimage (4.1.0.1-3) stable; urgency=low

  * opsisetuplib.py: function checkModules now works properly with python3 based bootimage

 -- Mathias Radtke <m.radtke@uib.de> Mon 06 Oct 2020 12:00:00 +0200

opsi-local-image-delimage (4.1.0.1-2) stable; urgency=low

  * updating available backup space on product opsi-local-image-backup property "free_on_backup"

 -- Mathias Radtke <m.radtke@uib.de> Fri 18 Sep 2020 10:40:00 +0200

opsi-local-image-delimage (4.1.0.1-1) stable; urgency=low

  * python3 compatible code base

 -- Mathias Radtke <m.radtke@uib.de> Mon 20 Jul 2020 18:35:00 +0200

------------------------------------------------

opsi-local-image-prepare (4.1.0.1-2) stable; urgency=low

  * opsisetuplib.py: function checkModules now works properly with python3 based bootimage

 -- Mathias Radtke <m.radtke@uib.de> Mon 06 Oct 2020 12:00:00 +0200

opsi-local-image-prepare (4.1.0.1-1) stable; urgency=low

  * python3 compatible code base

 -- Mathias Radtke <m.radtke@uib.de> Mon 20 Jul 2020 18:35:00 +0200

------------------------------------------------

opsi-local-image-restore (4.1.0.1-2) stable; urgency=low

  * opsisetuplib.py: function checkModules now works properly with python3 based bootimage

 -- Mathias Radtke <m.radtke@uib.de> Mon 06 Oct 2020 12:00:00 +0200

opsi-local-image-restore (4.1.0.1-1) stable; urgency=low

  * python3 compatible code base

 -- Mathias Radtke <m.radtke@uib.de> Mon 20 Jul 2020 18:35:00 +0200

------------------------------------------------

ubuntu (4.1.0.4-2) testing; urgency=low

  * opsisetuplib: added newline chatr in doChrootet function
  * ubuntu: fixed error when installing opsi-linux-client-agent

------------------------------------------------

ubuntu16-04 (4.1.0.2-2) stable; urgency=low

  * kernel/initrd updated

 -- Detlef Oertel <d.oertel@uib.de>  Thu,  15 Oct 2020 : 15:00:00 +0200

------------------------------------------------

ubuntu18-04 (4.1.0.4-2) stable; urgency=low

  * corrected root password encoding

 -- Jan Schneider <j.schneider@uib.de> Tue Sep 1 11:30:00 2020 +0200

------------------------------------------------

ubuntu20-04 (4.1.0.4-2) stable; urgency=low

  * corrected root password encoding

 -- Jan Schneider <j.schneider@uib.de> Tue Sep 1 11:30:00 2020 +0200

------------------------------------------------

windows (4.1.0.2-4) testing; urgency=low

  * fixed behaviour of show_drivers script
  * changed wording of byAudit
  * updated pci.ids and usb.ids

 -- Terry Strooband <t.strooband@dgip.nl> Mon Oct 12 02:20:00 2020 +0200


windows (4.1.0.2-3) testing; urgency=low

  * removing empty entries in windows version detection

 -- Mathias Radtke <m.radtke@uib.de> Fri Oct  2 12:12:11 2020 +0200


windows (4.1.0.2-2) testing; urgency=low

  * using opsi-python as interpreter in show_drivers.py and create_driver_links.py when running on opsi 4.2

 -- Mathias Radtke <m.radtke@uib.de> Fri Sep 18 10:07:34 2020 +0200

windows (4.1.0.2-1) stable; urgency=low

  * python3 compatible code base

 -- Mathias Radtke <m.radtke@uib.de> Mon Jul 20 18:32:16 2020 +0200
--------------------------------------------------------

wipedisk (1.3-1) stable; urgency=low

  * python3 compatible code

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 07 2020 14:00:00 +0200

wipedisk (1.2-1) stable; urgency=low

  * install3264 added as pxeConfigTemplate

-- Mathias Radtke <m.radtke@uib.de> Mon Aug 17 2020 12:30:00 +0200

------------------------------------------------

opsi-linux-bootimage (20200910-1) testing; urgency=medium

  * updated Microsoft dock patch

 -- Mathias Radtke <m.radtke@uib.de>  Thu, 10 Sep 2020 16:12:26 +0200

opsi-linux-bootimage (20200904-1) testing; urgency=medium

  * kernel 5.8.5
  * deactivated lidswitch on notebooks

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 04 Sep 2020 11:10:00 +0200

opsi-linux-bootimage (20200824-1) testing; urgency=medium

  * postinst: added '^' in grep command for fileadminsgroup

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 24 Aug 2020 09:08:35 +0200

opsi-linux-bootimage (20200820-1) testing; urgency=medium

  * opsi 4.2 modifications

 -- Jan Schneider <j.schneider@uib.de>  Fri, 14 Aug 2020 15:35:00 +0200

opsi-linux-bootimage (20200624-1) testing; urgency=medium

  * added p7zip-full
  * kernel 5.7.5

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 24 Jun 2020 09:32:50 +0200

------------------------------------------------

windows10-upgrade (20.09-1) experimental; urgency=low

     * IMPORTANT: requires opsi-client-agent 4.1.0.0-47 or higher
     * IMPORTANT: changes to the handling of Win7 -> Win10 Upgrades:
     * the opsi-client-agent folder is now a symlink to the servers opsi-client-agent folder
     * for WAN/VPN mode to work correctly the following command needs to be run manually after the package installation:
     * opsi-package-manager -i windows10-upgrade_20.09-1.opsi --suppress-pcf-generation
     * Added support for Windows 10 20H2 (ReleaseID 2009)
     * Added variables for $RequiredOpsiclientdVersion$, $RequiredOperatingSystem$ and $RequiredWinstVersion$
     * Added method to detect and fix missing folder permissions on %SystemDrive%\opsi.org\usertmp
     * Updated wimlib to version 1.13.2
     * Improved error handling to further simplify debugging
     * Common windows upgrade exit codes will now be evaluated including a short description of possible fixes. In case the upgrade fails make sure to check all error messages in the logfile!
     * Added %SystemDrive%\$WINDOWS.~BT\Sources\Panther\scanresult.xml to the list of logfiles to be appended to the installation logfile in case the upgrade fails
     * Moved the inclusion of the opsiclientd_checker.log to Sub_Check_Exit_Code
     * Moved the operating system check from setup-local.opsiscript to setup.opsiscript
     * Corrected some comments and error messages in update-local.opsiscript where $ReleaseID$ was used instead of $TargetVersion$
     * Renamed variable $Disable_UAC$ to $DisableUAC$
     * Removed opsi version check from preinst script
     * Changed some comments

-- Matthias Knauer <m.knauer@uib.de> Fri 09 Oct 2020 11:11:11 +0200

------------------------------------------------

opsi-winst/opsi-script (4.12.4.3) experimental; urgency=low

  * macos: integrate to opsiscript and opsiscriptnogui project (Remove mac project files)
  * new unit osstartprocess_cp (from osfunc, will be used in opsi-script-pilot)
  * more logging on alldelete
  * repair del -c
  * try to remove dirs also with copy_delay
  * new del option -r (retryOnReboot) default false (Windows only) If -r is set a missed delete action will be retried on Reboot. In this case normally a 'reboot after this script' flag will be set. By using the -c option setting this flag will be supressed The option -c (continue) make only sense in combination with -r
  * section name now as header of showoutput
  * startprocess_cp fix (jan werner)

  -- d.oertel d.oertel@uib.de Wed, 23 Sep 2020 15:00       

opsi-winst/opsi-script (4.12.4.2) experimental; urgency=low

  * macos: try to read mountpoint from opsiclientd.conf default to /var/opsisetupadmin/opsi_depot

  -- d.oertel d.oertel@uib.de Tue, 15 Sep 2020 15:00
 

Benutzeravatar
SisterOfMercy
Beiträge: 1181
Registriert: 22 Jun 2012, 19:18

Re: Updates for opsi 4.1 stable und testing

Beitragvon SisterOfMercy » 26 Okt 2020, 11:08

What was that we need to do with opsi-client-kiosk?
Bitte schreiben Sie Deutsch, when I'm responding in the German-speaking part of the forum!